Subject: Re: [PATCH] rev-list: skip bitmap traversal for --left-right

From: Taylor Blau <[email-masked]>
Date: Mon, 4 Nov 2024 13:34:41 -0500

On Mon, Nov 04, 2024 at 12:46:28PM -0500, Jeff King wrote:
> On Mon, Nov 04, 2024 at 12:41:27PM -0500, Jeff King wrote:
>
> > On Fri, Nov 01, 2024 at 10:40:41AM -0400, Taylor Blau wrote:
> >
> > > Nice find, and well explained (not just why it doesn't work today but
> > > could in the future, but why making it work in the future with bitmaps
> > > does not necessarily a clear performance improvement).
> > >
> > > Probably you and I should think more about other rev-list options that
> > > *don't* work with --use-bitmap-index. I share your feeling there that
> > > there probably exist such options which silently do nothing (or the
> > > wrong thing) in the presence of '--use-bitmap-index'.
> >
> > I'm pretty sure --cherry-pick and --cherry-mark are examples, but I
> > suspect it's the tip of the iceberg. I don't know if it's worth spending
> > much effort on this. It's certainly a wart, but there's a certain amount
> > of "if it hurts, don't do it". The --left-right one bugged me so much
> > just because I thought it _would_ work. ;)
>
> Actually, I wonder if this could be an interesting #leftoverbits or
> intern mini-project:

I agree; that would be a good project for interns. Great idea!

Thanks,
Taylor